Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!


Click here to return to the 'Use OS X 10.4 on a MacBook that came with 10.5' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
Use OS X 10.4 on a MacBook that came with 10.5
Authored by: leamanc on Aug 13, '08 07:03:58PM

To answer "why would you want to do this?", at my company we were in a situation where we needed to buy new MacBooks to continue a company-wide upgrade project. But our VPN client hadn't been upgraded for 10.5 yet.

We used an image (of the NetRestore/Apple Software Restore variety) to make the install 10.4 on the 10.5 MacBook. As others have pointed out, graphics looked like crap, there was only one resolution to choose from, and external monitors/projectors didn't work.

We tried fiddling with it, copying GPU .kexts from 10.4 MacBooks and such, but it was a no go. We just bought refurb'ed 10.4 MacBooks in the meantime.

I noticed later that Apple posted, on the ADC developer site, a Graphics Drivers .pkg, but by that time the VPN client had been upgraded. I don't know if it would have helped or not, though.

Long story short, you won't have a very nice MacBook at the end of this if you follow this hint.



[ Reply to This | # ]